Class SketchInPlaceBuilder
Inheritance
System.Object
System.MarshalByRefObject
SketchInPlaceBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
public class SketchInPlaceBuilder : Builder, IMessageSink, IComponentBuilder
Constructors
SketchInPlaceBuilder()
Declaration
protected SketchInPlaceBuilder()
Properties
Axis
Declaration
[Obsolete("Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.AxisReference instead.")]
public SelectIReferenceAxis Axis { get; }
Property Value
AxisOrientation
Declaration
public AxisOrientation AxisOrientation { get; set; }
Property Value
AxisOrientationInfer
Declaration
public AxisOrientation AxisOrientationInfer { get; set; }
Property Value
AxisReference
Declaration
public Direction AxisReference { get; set; }
Property Value
Declaration
[Obsolete("Deprecated in NX11.0.0. None")]
public bool CreateIntermediateDatumCsys { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Csystem
Declaration
public CartesianCoordinateSystem Csystem { get; set; }
Property Value
MakeOriginAssociative
Declaration
[Obsolete("Deprecated in NX11.0.0. None")]
public bool MakeOriginAssociative { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
OriginOption
Declaration
public OriginMethod OriginOption { get; set; }
Property Value
OriginOptionInfer
Declaration
public OriginMethod OriginOptionInfer { get; set; }
Property Value
Plane
Declaration
[Obsolete("Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.PlaneReference instead.")]
public Plane Plane { get; }
Property Value
PlaneOption
Declaration
public Sketch.PlaneOption PlaneOption { get; set; }
Property Value
PlaneOrFace
Declaration
[Obsolete("Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.PlaneReference instead.")]
public SelectISurface PlaneOrFace { get; }
Property Value
PlaneReference
Declaration
public Plane PlaneReference { get; set; }
Property Value
ProjectWorkPartOrigin
Declaration
[Obsolete("Deprecated in NX11.0.0. Use NXOpen.SketchInPlaceBuilder.OriginOption instead.")]
public bool ProjectWorkPartOrigin { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ReverseAxis
Declaration
[Obsolete("Deprecated in NX11.0.0. None")]
public bool ReverseAxis { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ReversePlaneNormal
Declaration
[Obsolete("Deprecated in NX11.0.0. None")]
public bool ReversePlaneNormal { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
SketchOrigin
Declaration
public Point SketchOrigin { get; set; }
Property Value
Implements
System.Runtime.Remoting.Messaging.IMessageSink